OpenNMS API 1.2.9

## org.opennms.netmgt.rtc.utils
Class PipedMarshaller

    java.lang.Object
      org.opennms.netmgt.rtc.utils.PipedMarshaller

public class PipedMarshaller
extends java.lang.Object

The class that marshalls the object to be sent to a PipedReader

Author:
  Brian Weaver , OpenNMS.org

Nested Class Summary
`private class` `PipedMarshaller.MarshalThread`

Field Summary
`private EuiLevel` `m_objToMarshall`

Constructor Summary
`PipedMarshaller(EuiLevel toMarshall)`

Method Summary
`java.io.Reader` `getReader()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_objToMarshall

    private EuiLevel m_objToMarshall

Constructor Detail

### PipedMarshaller

    public PipedMarshaller(EuiLevel toMarshall)

Method Detail

### getReader

    public java.io.Reader getReader()
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.